Skip to main content
GET
/
hub_document_pages
{
  "entries": [
    {
      "id": "d97f7c26-0d9b-42a1-a00d-6e6db9619e0f",
      "type": "page",
      "title_fragment": "This is the home page title !!"
    },
    {
      "id": "df6be226-6a40-429e-afd3-0e9ea73f1990",
      "type": "page",
      "parent_id": "d97f7c26-0d9b-42a1-a00d-6e6db9619e0f",
      "title_fragment": "This is the second page title !!"
    }
  ],
  "type": "document_pages",
  "limit": 1000,
  "next_marker": null
}
Learn more about Box SDK versioning strategy.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

box-version
enum<string>
required

Version header.

Available options:
2025.0

Query Parameters

hub_id
string
required

The unique identifier that represent a hub.

The ID for any hub can be determined by visiting this hub in the web application and copying the ID from the URL. For example, for the URL https://*.app.box.com/hubs/123 the hub_id is 123.

marker
string

Defines the position marker at which to begin returning results. This is used when paginating using marker-based pagination.

limit
integer<int64>

The maximum number of items to return per page.

Required range: x <= 1000

Response

Returns a Hub Document Pages response whose entries array contains root-level pages and sub pages. Includes pagination when more results are available.

A list of Hub Document Pages.

entries
Box Hub Document Page · object[]
required

Ordered list of pages.

type
enum<string>
required

The value will always be document_pages.

Available options:
document_pages
Example:

"document_pages"

limit
integer<int64>

The limit that was used for these entries. This will be the same as the limit query parameter unless that value exceeded the maximum value allowed. The maximum value varies by API.

Example:

1000

next_marker
string | null

The marker for the start of the next page of results.

Example:

"JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVii"